Subject: bug#31079: Windows - Emacs-25.3.1 Can't find source.tex file

From: Liyu Gong <[email-masked]>
Date: Sat, 7 Apr 2018 10:53:28 -0400

Hi Joe,

After I run "C-c C-c Other", the output of "C-c C-l" is:

Running `Other' on `aa' with ``pdflatex aa.tex''
This is pdfTeX, Version 3.14159265-2.6-1.40.18 (TeX Live 2017/W32TeX)
(preloaded format=pdflatex)
 restricted \write18 enabled.
entering extended mode
! I can't find file `aa.tex'.
<*> aa.tex

(Press Enter to retry, or Control-Z to exit)
Please type another input file name:

Then I kill the "C-c C-l" buffer because it is still running and
waiting for input which I can not type.
Then I run "C-c C-c Other" with "pwd", the output of "C-c C-l" says:

Running `Other' on `aa' with ``pwd''
/d

TeX Output finished at Sat Apr  7 10:51:22

So I guess the problem is "pwd". My emacs is a windows version, not a
cygwin version, so I should expect "d:/", but it says "/d".

Best,
Liyu

On Sat, Apr 7, 2018 at 10:40 AM,  <[email-masked]> wrote:
> Hi Liyu,
>
> In principle AUCTeX should just be giving the command you just gave, so there's something odd.
>
> Can you try two more things:
>
> 1. Issue "C-c C-c Other", and at the prompt for the command type, literally (with an enter at the end):
>
> pdflatex aa.tex
>
> And see what happens.
>
> 2. Issue again "C-c C-c Other", and at the prompt for the command issue
>
> pwd
>
> and check the output with C-c C-l as usual. You should see something like
>
> /cygdrive/d/
>
> I'd just like to see what path is AUCTeX seeing and working in.
>
> Cheers,
> J
>
>
> On 2018-04-07 16:17, Liyu Gong wrote:
>> Hi Joe,
>>
>> I run pdflatex via windows command prompt, and produced a pdf file.
>> The output message of the command is pasted below. My texlive was
>> installed at C:\texlive. However, I just moved the aa.tex to C:\aa.tex
>> then tried to compile it through AucTeX, the same error occurs again.
>>
>> Anyway, if nobody could reproduce the problem. I guess there must be
>> something weird in my system. :)
>>
>> Best,
>> Liyu